Skip to main content

Digital Banking System Requirements


The following are the minimum system requirements for a user to access our digital banking experiences. Any browser or device software that does not appear below could result in poor customer experience.

General

For your security and convenience, digital banking has been optimized to work with the latest devices and operating systems. To utilize the services, you must have:

  • Valid email address and phone number.
  • Standard PC or Macintosh (at least 1-GHz processor and 1 GB of RAM)
  • Available browser updates applied for improved security that provides anti-virus and spyware protection.
  • Microsoft Windows 7/8/10 or Mac OS X.
  • Cable, Digital Subscriber Line (DSL), or Integrated Services for Digital Network (ISDN) Internet connection. (Dial-up connections are not supported.)

Note: Microsoft stopped supporting Windows XP and XP-compatible Internet Explorer (IE) in April 2014, including security updates. XP users who do not upgrade their operating systems should replace IE with Google Chrome™ for an up-to-date, secure internet browser.

Note: Satellite connections often have difficulty supporting encrypted, Hypertext Transfer Protocol Secure (HTTPS) applications. Since Q2online is HTTPS-encrypted for the safety of your financial information, some satellite cable connections may exhibit slow responses.


Online Banking – Windows 10

Recommended Internet Browsers

  • Google Chrome 62
  • Microsoft Internet Explorer 11.x
  • Microsoft Edge
  • Mozilla Firefox 56 and later

Minimally Compatible Internet Browsers (may look odd in some instances)

  • Google Chrome 52 to 62
  • Mozilla Firefox 46 to 56

Online Banking – Windows 7 and 8.1

Recommended Internet Browsers

  • Google Chrome 62
  • Microsoft Internet Explorer 11.x
  • Mozilla Firefox 56 and later

Minimally Compatible Internet Browsers (may look odd in some instances)

  • Google Chrome 52 to 62
  • Mozilla Firefox 46 to 56

Online Banking – Mac OS X 10.9 – 10.13

Recommended Internet Browsers

  • Google Chrome 62
  • Safari 11-10

Minimally Compatible Internet Browsers (may look odd in some instances)

  • Safari 9
  • Mozilla Firefox 46 to 56

Mobile/Tablet Banking – Android OS

Recommended Version

  • 5.X and later

Mobile/Tablet Banking – Apple iOS

Recommended Versions

  • iOS 10.x, iOS 11.x

Minimally Compatible Version (may look odd in some instances)

  • iOS 9.x

The following mobile operating systems are not compatible with First Bank’s Mobile Banking:

  • Windows Phone
  • Blackberry
  • Kindle Fire

Mobile Deposit Requirements

A mobile device with a rear-facing camera is required to deposit checks using First Bank’s Mobile Banking.

Recommended Camera Resolutions

  • 5 megapixels or higher

Minimally Compatible Resolutions (may look odd in some instances)

  • 1.9-4.9 megapixels

Fingerprint Login/Touch ID Requirements

Fingerprint Login is currently only available for login authentication on eligible Android devices. This is a free feature, pending the following operating system, hardware, and release requirements:

  • Samsung Galaxy S7 or higher
  • Nexus 7 or newer
  • Google Pixel first generation or newer
  • End user registration with Fingerprint at the device level

Touch Authentication is currently only available for login authentication on eligible Apple iOS devices. This is a free feature, pending the following operating system, hardware, and release requirements:

  • iOS 9 or higher
  • iPhone 5S/6/6 Plus or newer
  • Latest generation iPad with Touch ID sensor
  • End user registration with Touch ID at the device level